﻿using System;
using System.Windows;
using Infragistics.Windows.Editors;

namespace ValueEditorSample
{
    public class PriorityValueEditor : ValueEditor
    {
        static PriorityValueEditor()
        {
            ValueTypeProperty.OverrideMetadata(typeof(PriorityValueEditor), new FrameworkPropertyMetadata(typeof(Priority)));
            DefaultStyleKeyProperty.OverrideMetadata(typeof(PriorityValueEditor), new FrameworkPropertyMetadata(typeof(PriorityValueEditor)));
        }

        public override bool CanEditType(Type type)
        {
            return typeof (Priority).Equals(type);
        }

        public override bool CanRenderType(Type type)
        {
            return typeof(Priority).Equals(type);
        }
    }
}
